RTMS
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Realtime Media Streams (RTMS) is a data pipeline that gives your app access to live audio, video, and transcript data from Zoom Contact Center engagements, Zoom meetings and webinars, and Zoom Video SDK sessions.
Operations
POST contact_center.voice_rtms_interrupted
- Method:
POST - Path:
contact_center.voice_rtms_interrupted - Tags: contact_center
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": ""
}
}
POST meeting.rtms_interrupted
- Method:
POST - Path:
meeting.rtms_interrupted - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"rtms_stream_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"rtms_stream_id": ""
}
}
POST meeting.rtms_stopped
- Method:
POST - Path:
meeting.rtms_stopped - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of the stream stopped. * 1 — Triggered by the meeting host. * 2 — Triggered by the app user. * 3 — App user left meeting. * 4 — App user ejected by the meeting host. * 5 — The app is disabled by the meeting host. * 6 — The meeting is ended. * 7 — The stream is canceled. * 8 — The stream revoked. * 9 — All apps are disabled. * 10 — Server internal exception. * 11 — The connection timed out.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of the stream stopped. * 1 — Triggered by the meeting host. * 2 — Triggered by the app user. * 3 — App user left meeting. * 4 — App user ejected by the meeting host. * 5 — The app is disabled by the meeting host. * 6 — The meeting is ended. * 7 — The stream is canceled. * 8 — The stream revoked. * 9 — All apps are disabled. * 10 — Server internal exception. * 11 — The connection timed out.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
POST contact_center.voice_rtms_stopped
- Method:
POST - Path:
contact_center.voice_rtms_stopped - Tags: contact_center
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 5, 6, 7— The reason code of the stream stopped. * 1 — Customer disconnected. * 2 — Agent disconnected. * 3 — Stream revoked. * 4 — Stream is canceled. * 5 — RTMS disabled by admin. * 6 — Internal platform error. * 7 — Connection timeout.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 5, 6, 7— The reason code of the stream stopped. * 1 — Customer disconnected. * 2 — Agent disconnected. * 3 — Stream revoked. * 4 — Stream is canceled. * 5 — RTMS disabled by admin. * 6 — Internal platform error. * 7 — Connection timeout.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
POST webinar.rtms_stopped
- Method:
POST - Path:
webinar.rtms_stopped - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of why the stream stopped. * 1 = Triggered by the webinar host. * 2 = Triggered by the app user. * 3 = App user left webinar. * 4 = App user ejected by the webinar host. * 5 = The app is disabled by the webinar host. * 6 = The webinar is ended. * 7 = The stream is canceled. * 8 = The stream revoked. * 9 = All apps are disabled. * 10 = Server internal exception. * 11 = The connection timed out. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of why the stream stopped. * 1 = Triggered by the webinar host. * 2 = Triggered by the app user. * 3 = App user left webinar. * 4 = App user ejected by the webinar host. * 5 = The app is disabled by the webinar host. * 6 = The webinar is ended. * 7 = The stream is canceled. * 8 = The stream revoked. * 9 = All apps are disabled. * 10 = Server internal exception. * 11 = The connection timed out. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
POST webinar.rtms_started
- Method:
POST - Path:
webinar.rtms_started - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
account_id(required)string— The Zoom account ID of the app user's account. -
is_original_host(required)boolean— Whether the operator is the original webinar host. -
operator_id(required)string— The ID of the user who is triggered this rtms event. -
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
server_urls(required)string— The RTMS server urls for the app to connect with. Multiple URLs for different media protocols will be separated by commas. -
webinar_id(required)integer, format:int64— The webinar ID. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"operator_id": "30R7kT7bTIKSNUFEuH_Qlg",
"rtms_stream_id": "",
"webinar_id": 1,
"account_id": "",
"is_original_host": true,
"server_urls": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
account_id(required)string— The Zoom account ID of the app user's account. -
is_original_host(required)boolean— Whether the operator is the original webinar host. -
operator_id(required)string— The ID of the user who is triggered this rtms event. -
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
server_urls(required)string— The RTMS server urls for the app to connect with. Multiple URLs for different media protocols will be separated by commas. -
webinar_id(required)integer, format:int64— The webinar ID. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"operator_id": "30R7kT7bTIKSNUFEuH_Qlg",
"rtms_stream_id": "",
"webinar_id": 1,
"account_id": "",
"is_original_host": true,
"server_urls": ""
}
}
POST webinar.rtms_interrupted
- Method:
POST - Path:
webinar.rtms_interrupted - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"rtms_stream_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the webinar RTMS event.-
rtms_stream_id(required)string— The unique ID of one of streams of the webinar. Each webinar can has multiple streams. -
webinar_uuid(required)string— The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"webinar_uuid": "",
"rtms_stream_id": ""
}
}
POST session.rtms_started
- Method:
POST - Path:
session.rtms_started - Tags: session
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
account_id(required)string— The Zoom account ID of the Video SDK app. -
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
server_urls(required)string— The RTMS server urls for an app to connect with. Multiple URLs for different protocols will be separated by commas. -
session_id(required)string— Unique session identifier. Each instance of the session will have its own session_id. -
session_key(required)string— The Video SDK custom session ID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": "",
"account_id": "",
"server_urls": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
account_id(required)string— The Zoom account ID of the Video SDK app. -
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
server_urls(required)string— The RTMS server urls for an app to connect with. Multiple URLs for different protocols will be separated by commas. -
session_id(required)string— Unique session identifier. Each instance of the session will have its own session_id. -
session_key(required)string— The Video SDK custom session ID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": "",
"account_id": "",
"server_urls": ""
}
}
POST rtms.concurrency_limited
- Method:
POST - Path:
rtms.concurrency_limited - Tags: rtms
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the meeting rtms event.-
concurrency_number(required)integer— The number of concurrent streams. -
id_field(required)object -
operator_id(required)string— The ID of the user who triggered this RTMS event.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"concurrency_number": 1,
"id_field": {
"meeting_uuid": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the meeting rtms event.-
concurrency_number(required)integer— The number of concurrent streams. -
id_field(required)object -
operator_id(required)string— The ID of the user who triggered this RTMS event.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"concurrency_number": 1,
"id_field": {
"meeting_uuid": ""
}
}
}
POST contact_center.voice_rtms_started
- Method:
POST - Path:
contact_center.voice_rtms_started - Tags: contact_center
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams. -
server_urls(required)string— The RTMS server urls for the app to connect with. Multiple URLs for different media protocols will be separated by commas.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": "",
"server_urls": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the Contact Center voice call RTMS event.-
engagement_id(required)string— The unique ID of the Contact Center voice call. -
rtms_stream_id(required)string— The unique ID of one of streams of the Contact Center voice call. Each voice call can have multiple streams. -
server_urls(required)string— The RTMS server urls for the app to connect with. Multiple URLs for different media protocols will be separated by commas.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"engagement_id": "",
"rtms_stream_id": "",
"server_urls": ""
}
}
POST session.rtms_interrupted
- Method:
POST - Path:
session.rtms_interrupted - Tags: session
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
session_id(required)string— The session's universally unique identifier (UUID). Each session instance generates a meeting UUID. -
session_key(required)string— The Video SDK custom session ID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
session_id(required)string— The session's universally unique identifier (UUID). Each session instance generates a meeting UUID. -
session_key(required)string— The Video SDK custom session ID.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": ""
}
}
POST rtms.concurrency_near_limit
- Method:
POST - Path:
rtms.concurrency_near_limit - Tags: rtms
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the meeting RTMS event.-
concurrency_limit(required)integer— The number of the predetermined available concurrent streams. -
concurrency_number(required)integer— The number of concurrent streams. -
percentage(required)integer— The number of concurrent streams as a percentage of the available concurrent streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"concurrency_limit": 1,
"concurrency_number": 1,
"percentage": 1
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the meeting RTMS event.-
concurrency_limit(required)integer— The number of the predetermined available concurrent streams. -
concurrency_number(required)integer— The number of concurrent streams. -
percentage(required)integer— The number of concurrent streams as a percentage of the available concurrent streams.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"concurrency_limit": 1,
"concurrency_number": 1,
"percentage": 1
}
}
POST meeting.rtms_started
- Method:
POST - Path:
meeting.rtms_started - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
account_id(required)string— The Zoom account ID of the app user's account. -
is_original_host(required)boolean— Whether the operator is the original meeting host. -
meeting_id(required)integer, format:int64— The meeting ID. -
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
operator_id(required)string— The ID of the user who is triggered this rtms event. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams. -
server_urls(required)string— The RTMS server urls for app to connect with. Multiple URLs for different protocols will be separated by commas.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"operator_id": "30R7kT7bTIKSNUFEuH_Qlg",
"rtms_stream_id": "",
"meeting_id": 1,
"account_id": "",
"is_original_host": true,
"server_urls": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object— Information about the meeting rtms event.-
account_id(required)string— The Zoom account ID of the app user's account. -
is_original_host(required)boolean— Whether the operator is the original meeting host. -
meeting_id(required)integer, format:int64— The meeting ID. -
meeting_uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
operator_id(required)string— The ID of the user who is triggered this rtms event. -
rtms_stream_id(required)string— The unique ID of one of streams of the meeting. Each meeting can has multiple streams. -
server_urls(required)string— The RTMS server urls for app to connect with. Multiple URLs for different protocols will be separated by commas.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"meeting_uuid": "",
"operator_id": "30R7kT7bTIKSNUFEuH_Qlg",
"rtms_stream_id": "",
"meeting_id": 1,
"account_id": "",
"is_original_host": true,
"server_urls": ""
}
}
POST session.rtms_stopped
- Method:
POST - Path:
session.rtms_stopped - Tags: session
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
session_id(required)string— The session's universally unique identifier (UUID). Each session instance generates a session UUID. -
session_key(required)string— The Video SDK custom session ID. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of the stream stopped. * 1 = Triggered by the session host. * 2 = Triggered by the app user. * 3 = App user left session. * 4 = App user ejected by the session host. * 5 = The app is disabled by the session host. * 6 = The session is ended. * 7 = The stream is canceled. * 8 = The stream was revoked. * 9 = All apps are disabled. * 10 = Server internal exception. * 11 = The connection timed out.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp of when the event occurred. -
payload(required)object— Information about the session rtms event.-
rtms_stream_id(required)string— The unique ID of one of streams of the session. **Note**: A session can have multiple streams. -
session_id(required)string— The session's universally unique identifier (UUID). Each session instance generates a session UUID. -
session_key(required)string— The Video SDK custom session ID. -
stop_reason(required)integer, format:int, possible values:1, 2, 3, 4, 7, 8, 9, 10, 11— The reason code of the stream stopped. * 1 = Triggered by the session host. * 2 = Triggered by the app user. * 3 = App user left session. * 4 = App user ejected by the session host. * 5 = The app is disabled by the session host. * 6 = The session is ended. * 7 = The stream is canceled. * 8 = The stream was revoked. * 9 = All apps are disabled. * 10 = Server internal exception. * 11 = The connection timed out.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"session_id": "",
"session_key": "",
"rtms_stream_id": "",
"stop_reason": 1
}
}